SA(8)

NOMBRE
sa - proporciona información sobre la contabilidad de procesos

SINOPSIS

sa  [ -a | --list-all-names ]
    [ -b | --sort-sys-user-div-calls ]
    [ -c | --percentages ] [ -d | --sort-avio ]
    [ -D | --sort-tio ] [ -f | --not-interactive ]
    [ -i | --dont-read-summary-files ]
    [ -j | --print-seconds ] [ -k | --sort-cpu-avmem ]
    [ -K | --sort-ksec ] [ -l | --separate-times ]
    [ -m | --user-summary ] [ -n | --sort-num-calls ]
    [ -p | --show-paging ] [ -P | --show-paging-avg ]
    [ -r | --reverse-sort ] [ -s | --merge ]
    [ -t | --print-ratio ] [ -u | --print-users ]
    [ -v num | --threshold num ] [ --sort-real-time ]
    [ --debug ] [ -V | --version ] [ -h | --help ]
    [ --other-usracct-file archivo ] [ --ahz hz ]
    [ --other-savacct-file archivo ]
    [ [ --other-acct-file ] archivo ]

DESCRIPCIÓN

sa proporciona información sobre las órdenes ejecutadas en el sistema tal como está recogida en el archivo acct. Además, condensa esta información en el archivo savacct incluyendo el número de veces que se ejecutó una determinada orden y los recursos del sistema empleados. La misma información contable para cada usuario se guarda en el archivo usracct

Si no se especifica ninguna opción, sa muestra información de todas las órdenes que contiene el archivo acct.

Si la opción final de sa es un nombre de archivo, se usará éste en lugar del archivo acct definido por defecto.

Por defecto, sa ordena los datos según la suma de tiempo del usuario y del sistema. Si los nombres de las órdenes tienen caracteres no imprimibles o solo se llaman una vez, sa los meterá en un grupo llamado `*** other '. Si se especifica más de una opción de clasificación, la lista se ordenará según la última especificada en la línea de órdenes.

Los campos que se muestran aparecen marcados como sigue:

cpu
     suma del tiempo de cpu del sistema y del usuario en minutos

re
     "tiempo transcurrido" en minutos

k
     promedio del tiempo de cpu usado por núcleo medido en kilobytes.

avio
     promedio de operaciones de entrada/salida (I/O) por cada ejecución

tio
     cantidad total de operaciones de entrada/salida (I/O)

k*sec
     total acumulado de cou (en k-segs.)

u
     tiempo de uso de cpu por usuario medido en segundos de cpu

s
     tiempo del sistema en segundos de cpu

Observe que estos títulos de columna no aparecen en la primera fila de la tabla, sino después de cada cifra en cada cifra (como si fuesen unidades de medida). Por ejemplo, si aparece `79.29re', quiere decir que son 79.29 segundos de cpu de "tiempo real".

Después de las órdenes que se subdividieron pero no hicieron la llamada exec aparecerá un asterisco

GNU sa posee varias características que no tienen versiones. Por ejemplo,la mayoría de ellas, no interpretan opciones como `--print-seconds' o `--sort-num-calls' cuando muestran órdenes combinadas con opciones tales como `--user-summary' o `--print-users'. GNU sa sí las interpretará si son aplicables. La version de MIPS utiliza el tipo de datos short para registrar el promedio de uso de memoria por lo que puede verse afectado por errores en el redondeo.GNU sa utiliza siempre el tipo double, más preciso.

OPCIONES

La disponibildad de estos programas depende de su sistema operativo. Más concretamente, los que aparezcan en el encabezado del struct acct del proceso de contabilidad de su sistema (generalmente acct.h) determinarán qué opciones tendrá. Por ejemplo, si struct acct de su sistema no incluye el campo `ac_mem', sa no dispondrá de las opciones `--sort-cpu-avmem', `--sort-ksec', `-k', ni `-K'.

En resumen, algunas de estas opciones pueden no estar presentes en su sistema.

-a, --list-all-names
    Hace que sa no ordene las líneas con nombres de orden que contengan caracteres no imprimibles ni aquellas que solo se hayan usado una vez en el grupo ***other.
-b, --sort-sys-user-div-calls
    Ordena la salida por la suma del tiempo de usuario y del sistema dividido entre el número de llamadas.
-c, --percentages
    Muestra los porcentajes del total de tiempo para las órdenes de usuario, sistema y valores de tiempo real.
-d, --sort-avio
    Ordena la salida por el promedio de operaciones de entrada/salida (I/O) del disco.
-D, --sort-tio
    Ordena los datos según el número total de operaciones de entrada/salida (I/O) del disco.
-f, --not-interactive
    Al usar la opción `--threshold', asumirá como afirmativas todas las respuestas a preguntas interactivas.
-i, --dont-read-summary-files
    No lee la información en el archivo savacct por defecto del sistema.
-j, --print-seconds
    En lugar de mostrar la cantidad total de minutos para cada categoría, muestra los segundos de cada llamada.
-k, --sort-cpu-avmem
    Ordena la salida según el promedio de uso de memoria por tiempo de cpu.
-K, --sort-ksec
    Ordena la salida según el total de almacenamiento de cpu.
-l, --separate-times
    Muestra el tiempo de usuario y el de sistema en columnas separadas; en general ambas suelen ir fusionadas en una solo columna llamada 'cpu'.
-m, --user-summary
    Muestra la cantidad de procesos y la de minutos de CPU por usuarios.
-n, --sort-num-calls
    Ordena la salida según la cantidad de llamadas. Este el el comportamiento por defecto.
-p, --show-paging
    Muestra el número de cambios y errores de paginación menores y mayores.
-P, --show-paging-avg
    Muestra el número de cambios y errores de paginación menores y mayores entre el número de llamadas.
-r, --reverse-sort
    Clasifica los registros de salida en orden inverso.
-s, --merge
    Fusiona las información del los archivos savacct y usracct.
-t, --print-ratio
    Imprime la relación entre el tiempo real y la suma de los tiempos del sistema y del usuario para cada entrada. Si la suma de los tiempos del sistema y del usuario es demasiado pequeña (próxima a cero), el campo aparece como `* ignore * '.
-u, --print-users
    Muestra el ID de usuario y el nombre de la orden para cada orden en el archivo de contabilidad y, a continuación, termina su ejecución. * Nota *: esta opción reemplaza a todas las demás.
-v num --threshold num
    Muestra las ordenes que se ejecutaron num veces o menos y esperan una respuesta del terminal. Si la respuesta comienza con 'y', agregue la orden al grupo '** junk **'.
--separate-forks
    Para mi noo tiene ningún sentido que la versión estándar de sa separe las estadísticas de un ejecutable en particular dependiendo de si esa orden se bifurcó o no. Por lo tanto, GNU sa agrupa esta información a menos que se especifique esta opción.
--ahz hz
    Con esta opción, se indica al programa el valor para AHZ (en hercios). Esta opción es útil si está intentando ver un archivo acct creado en otra máquina que tiene el mismo orden de bytes y formato de archivo que su máquina actual, pero tiene un valor diferente para AHZ.
--debug
    Muestra abundante información interna.
-V, --version
    Muestra la versión de sa.
-h, --help
    Muestra información de uso y la localización por defecto de los archivos del sistema terminando la ejecución acto seguido.
--sort-real-time
    Ordena los datos por el campo "real time"
--other-usracct-filearchivo
    Registra los informes según el ID de usuario en el archivo archivo en lugar de hacerlo en el archivo por defecto usracct.
--other-savacct-filearchivo
    Resgistra los informes según la orden ejecutada en le archivo archivo en lugar de hacerlo en el archivo por defecto SAVACCT.
--other-acct-filearchivo
    Lee desde el archivo archivo en lugar de hacerlo en el archivo por defecto ACCT.

ARCHIVOS
acct
    Archivo general de contabilidad de procesos. Consulte acct (5) para obtener más detalles.
savacct
    Extracto de la contabilidad de procesos ordenada según las órdenes ejecutadas.
usracct
    Extracto de la contabilidad de procesos ordenada según las ID de usuario.

ERRORES
Todavía no se dispone de una amplia experiencia para poder comparar adecuadamente los datos que proporciona GNU sa con las versiones de otros sistemas. El problema radica en que el archivo de datos aumenta su tamaña muy rápidamente y requiere mucho espacio en el disco.

AUTOR
Las utilidades de contabilidad de procesos de GNU fueron escritas por by Noel Cragg <noel@gnu.ai.mit.edu>. Esta página de manual fue creada a partir de la página texinfo por Susan Kleinmann <sgk@sgk.tiac.net>.

VÉASE TAMBIÉN
acct(5), ac(1)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>
Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.
Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.